| MikroCAD SDK Library

- Home
- All Types
- Files

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes
TDataAcquPreFilterSetData Struct Reference

## Description

Data structure for prefilter set for data acquisition.

## Public Member Functions
void | Clear ()
| Clears the filter list.
bool | FromBuffer (PBYTE &pbyBuffer, DWORD &dwCurrBufferSize)
| Read from buffer. More...
bool | FromIniFile (CIniFile *pIniFile, wstring stSec)
| Read settings from INI file. More...
unsigned long | GetBufferSize ()
| Returns the buffer size in byte. More...
void | Initialize (TFilterData *pFilterList, int nNumFilter)
| Initialize the filter list. More...
bool | IsEqual (TDataAcquPreFilterSetData *pFilterDataSet)
| Is equal to an other data set? More...
bool | ToBuffer (PBYTE &pbyBuffer, DWORD &dwCurrBufferSize)
| Write to buffer. More...
bool | ToIniFile (CIniFile *pIniFile, wstring stSec)
| Write settings to INI file. More...

## Public Attributes
TFilterDataList | m_pFilterList
| Filter list.

## Member Function Documentation

bool TDataAcquPreFilterSetData::FromBuffer | ( | PBYTE & | pbyBuffer,
|  | DWORD & | dwCurrBufferSize
| ) |  |

Read from buffer.

Parameters

  pbyBuffer | Pointer to buffer (Pointer will incremented !!!)
  dwCurrBufferSize | Current buffer size (will decremented)

Returns
  : Success

bool TDataAcquPreFilterSetData::FromIniFile | ( | CIniFile * | pIniFile,
|  | wstring | stSec
| ) |  |

Read settings from INI file.

Parameters

  pIniFile | Pointer to INI file structure
  stSec | Sector

Returns
  Success

unsigned long TDataAcquPreFilterSetData::GetBufferSize | ( |  | ) |

Returns the buffer size in byte.

Returns
  Buffer size

void TDataAcquPreFilterSetData::Initialize | ( | TFilterData * | pFilterList,
|  | int | nNumFilter
| ) |  |

Initialize the filter list.

Parameters

  pFilterList | Pointer to the filter list
  nNumFilter | Filterlist size

bool TDataAcquPreFilterSetData::IsEqual | ( | TDataAcquPreFilterSetData * | pFilterDataSet | ) |

Is equal to an other data set?

Parameters

  pFilterDataSet | Pointer to an other data set

Returns
  True if equal, otherwise false

bool TDataAcquPreFilterSetData::ToBuffer | ( | PBYTE & | pbyBuffer,
|  | DWORD & | dwCurrBufferSize
| ) |  |

Write to buffer.

Parameters

  pbyBuffer | Pointer to buffer (Pointer will incremented)
  dwCurrBufferSize | Current buffer size (will decremented)

Returns
  Success

bool TDataAcquPreFilterSetData::ToIniFile | ( | CIniFile * | pIniFile,
|  | wstring | stSec
| ) |  |

Write settings to INI file.

Parameters

  pIniFile | Pointer to INI file structure
  stSec | Sector

Returns
  Success

The documentation for this struct was generated from the following file:

- DataFilter.h